[SRU] New upstream release 2.64.3

Bug #1883694 reported by Iain Lane on 2020-06-16
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
glib2.0 (Ubuntu)
Undecided
Iain Lane
Focal
Undecided
Iain Lane

Bug Description

[ Description ]

Take this new upstrem stable release.

+glib2.0 (2.64.3-1~ubuntu20.04.1) UNRELEASED; urgency=medium
+
+ * No-change backport from unstable / groovy to focal.
+
+ -- Iain Lane <email address hidden> Tue, 16 Jun 2020 11:53:34 +0100
+
+glib2.0 (2.64.3-1) unstable; urgency=medium
+
+ * Team upload
+
+ [ Laurent Bigonville ]
+ * Drop the libgio-fam package, and install the fam GIO plugin in
+ libglib2.0-0 on Hurd ports. See: #885011 (Closes: #875915)
+ * Stop building the libgio-fam package on kFreeBSD ports.
+ It is no longer necessary now that gkqueuefilemonitor is available.
+
+ [ Simon McVittie ]
+ * Clarify changelog entry regarding Hurd and kFreeBSD
+ * New upstream stable release
+
+ -- Simon McVittie <email address hidden> Fri, 29 May 2020 20:24:33 +0100

The gio-fam related changes do not affect Ubuntu, as they are for hurd/kfreebsd only.

Upstream NEWS diff:

* Stability improvements for various unit tests

* Bugs fixed:
 - #1954 gdbus-server-auth intermittent failure
 - #2094 Deprecation warnings when compiling with -DGLIB_VERSION_MAX_ALLOWED=GLIB_VERSION_2_28 -DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_28
 - !1470 Backport !1440 -Wformat-nonliteral fixes to glib-2-64
 - !1471 Backport !1448 memory monitor test dependency fixes to glib-2-64
 - !1473 CI: Switch to new Windows runners (2.64)
 - !1478 Backport !1477 D-Bus keyring handling fixes to glib-2-64
 - !1483 Backport !1481 “array: fix corrupt state of GPtrArray after g_ptr_array_extend_and_steal()” to glib-2-64
 - !1484 Backport !1480 “CI: Make sure we use meson 0.49.2 in MSYS2” to glib-2-64
 - !1486 Backport !1472 “gthread: ignore deprecated declarations in static inline functions” to glib-2-64
 - !1495 Backport !1493 “meson: Remove stray ], in O_DIRECTORY check” to glib-2-64
 - !1501 Backport !1439 “Fix stpcpy() detection“ to glib-2-64

* Translation updates:
 - Chinese (Taiwan)
 - German

[ QA ]

Upstream release, so QA already performed by maintainers

https://wiki.ubuntu.com/StableReleaseUpdates/GNOME

This upload will trigger many autopkgtests that we expect to not be regressed by this upload.

[ Regression potential ]

Various fixes in multiple places so multiple apps could be affected. Pretty much all parts of GNOME use GLib, so test anything in the desktop that you can.

Iain Lane (laney) on 2020-06-16
Changed in glib2.0 (Ubuntu):
status: New → Fix Released
assignee: nobody → Iain Lane (laney)
Changed in glib2.0 (Ubuntu Focal):
status: New → In Progress
assignee: nobody → Iain Lane (laney)

Hello Iain, or anyone else affected,

Accepted glib2.0 into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/glib2.0/2.64.3-1~ubuntu20.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in glib2.0 (Ubuntu Focal):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-focal

All autopkgtests for the newly accepted glib2.0 (2.64.3-1~ubuntu20.04.1) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

snapd-glib/1.57-0ubuntu3 (armhf)
gvfs/1.44.1-1ubuntu1 (arm64)
libgepub/unknown (armhf)
sbd/1.4.1-3 (amd64)
golang-github-ostreedev-ostree-go/0.0+git20190702.759a8c1-3 (arm64, ppc64el)
umockdev/0.14.1-1 (armhf)
tracker/2.3.4-1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#glib2.0

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Iain Lane (laney) wrote :

I've retried them all and it's green now.

Just verified this SRU in a VM. I upgraded to the proposed glib2.0 and then tried logging in and launching and using various GNOME applications.

  - gedit
  - epiphany-browser (to test glib-networking & webkit)
  - totem (GStreamer)

All seems good to me.

tags: added: verification-done verification-done-focal
removed: verification-needed verification-needed-focal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package glib2.0 - 2.64.3-1~ubuntu20.04.1

---------------
glib2.0 (2.64.3-1~ubuntu20.04.1) focal; urgency=medium

  * No-change backport from unstable / groovy to focal (LP: #1883694)
  * control, gbp.conf: Use the ubuntu/focal branch

glib2.0 (2.64.3-1) unstable; urgency=medium

  * Team upload

  [ Laurent Bigonville ]
  * Drop the libgio-fam package, and install the fam GIO plugin in
    libglib2.0-0 on Hurd ports. See: #885011 (Closes: #875915)
  * Stop building the libgio-fam package on kFreeBSD ports.
    It is no longer necessary now that gkqueuefilemonitor is available.

  [ Simon McVittie ]
  * Clarify changelog entry regarding Hurd and kFreeBSD
  * New upstream stable release

 -- Iain Lane <email address hidden> Tue, 16 Jun 2020 12:21:35 +0100

Changed in glib2.0 (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for glib2.0 has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers